part of 'generated.dart';

class UpdateTeamMemberInviteStatusVariablesBuilder {
  String id;
  TeamMemberInviteStatus inviteStatus;

  final FirebaseDataConnect _dataConnect;
  UpdateTeamMemberInviteStatusVariablesBuilder(this._dataConnect, {required  this.id,required  this.inviteStatus,});
  Deserializer<UpdateTeamMemberInviteStatusData> dataDeserializer = (dynamic json)  => UpdateTeamMemberInviteStatusData.fromJson(jsonDecode(json));
  Serializer<UpdateTeamMemberInviteStatusVariables> varsSerializer = (UpdateTeamMemberInviteStatusVariables vars) => jsonEncode(vars.toJson());
  Future<OperationResult<UpdateTeamMemberInviteStatusData, UpdateTeamMemberInviteStatusVariables>> execute() {
    return ref().execute();
  }

  MutationRef<UpdateTeamMemberInviteStatusData, UpdateTeamMemberInviteStatusVariables> ref() {
    UpdateTeamMemberInviteStatusVariables vars= UpdateTeamMemberInviteStatusVariables(id: id,inviteStatus: inviteStatus,);
    return _dataConnect.mutation("updateTeamMemberInviteStatus", dataDeserializer, varsSerializer, vars);
  }
}

@immutable
class UpdateTeamMemberInviteStatusTeamMemberUpdate {
  final String id;
  UpdateTeamMemberInviteStatusTeamMemberUpdate.fromJson(dynamic json):
  
  id = nativeFromJson<String>(json['id']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final UpdateTeamMemberInviteStatusTeamMemberUpdate otherTyped = other as UpdateTeamMemberInviteStatusTeamMemberUpdate;
    return id == otherTyped.id;
    
  }
  @override
  int get hashCode => id.hashCode;
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    json['id'] = nativeToJson<String>(id);
    return json;
  }

  UpdateTeamMemberInviteStatusTeamMemberUpdate({
    required this.id,
  });
}

@immutable
class UpdateTeamMemberInviteStatusData {
  final UpdateTeamMemberInviteStatusTeamMemberUpdate? teamMember_update;
  UpdateTeamMemberInviteStatusData.fromJson(dynamic json):
  
  teamMember_update = json['teamMember_update'] == null ? null : UpdateTeamMemberInviteStatusTeamMemberUpdate.fromJson(json['teamMember_update']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final UpdateTeamMemberInviteStatusData otherTyped = other as UpdateTeamMemberInviteStatusData;
    return teamMember_update == otherTyped.teamMember_update;
    
  }
  @override
  int get hashCode => teamMember_update.hashCode;
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    if (teamMember_update != null) {
      json['teamMember_update'] = teamMember_update!.toJson();
    }
    return json;
  }

  UpdateTeamMemberInviteStatusData({
    this.teamMember_update,
  });
}

@immutable
class UpdateTeamMemberInviteStatusVariables {
  final String id;
  final TeamMemberInviteStatus inviteStatus;
  @Deprecated('fromJson is deprecated for Variable classes as they are no longer required for deserialization.')
  UpdateTeamMemberInviteStatusVariables.fromJson(Map<String, dynamic> json):
  
  id = nativeFromJson<String>(json['id']),
  inviteStatus = TeamMemberInviteStatus.values.byName(json['inviteStatus']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final UpdateTeamMemberInviteStatusVariables otherTyped = other as UpdateTeamMemberInviteStatusVariables;
    return id == otherTyped.id && 
    inviteStatus == otherTyped.inviteStatus;
    
  }
  @override
  int get hashCode => Object.hashAll([id.hashCode, inviteStatus.hashCode]);
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    json['id'] = nativeToJson<String>(id);
    json['inviteStatus'] = 
    inviteStatus.name
    ;
    return json;
  }

  UpdateTeamMemberInviteStatusVariables({
    required this.id,
    required this.inviteStatus,
  });
}

